%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libvmdk
Version:	20231123
Release:	1%{?dist}
Summary:	Library to access the VMware Virtual Disk (VMDK) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libvmdk/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	zlib
BuildRequires:	zlib-devel
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libvmdk is a library to access the VMware Virtual Disk (VMDK) format

%package devel
Summary:	Header files and libraries for developing applications for libvmdk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvmdk.

%package tools
Summary:	Several tools for accessing VMware Virtual Disk (VMDK) files
Group:		Applications/System
Requires:	%{name} = %{version}-%{release} fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for accessing VMware Virtual Disk (VMDK) files

%if 0%{?with_python2}
%package python2
Summary:	Python bindings for libvmdk
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python
BuildRequires:	python2-devel
Obsoletes:	%{name}-python
Provides:	%{name}-python = %{version}

%description python2
Python bindings for libvmdk
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libvmdk
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libvmdk
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python}
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vmdkinfo
%attr(755,root,root) %{_bindir}/vmdkmount
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{python2_sitearch}/*.a
%if 0%{?fedora} >= 36
%else
%{python2_sitearch}/*.la
%endif
%{python2_sitearch}/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{python3_sitearch}/*.a
%if 0%{?fedora} >= 36
%else
%{python3_sitearch}/*.la
%endif
%{python3_sitearch}/*.so
%endif

%changelog
* Thu Nov 23 2023 Lawrence R. Rogers <lrr@cert.org> 20231123-1
* Release 20231123-1
	Version from 20231123

* Thu Nov 24 2022 Lawrence R. Rogers <lrr@cert.org> 20221124-1
* Release 20221124-1
	Version from 20221124

* Sat Aug  7 2021 Lawrence R. Rogers <lrr@cert.org> 20210807-1
* Release 20210807-1
	Version from 20210807

* Sun Apr 18 2021 Lawrence R. Rogers <lrr@cert.org> 20210418-1
* Release 20210418-1
	Version from 20210418

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20200926-2
* Release 20200926-2
	Release 2 - Removed Python 2 package

* Sat Sep 26 2020 Lawrence R. Rogers <lrr@cert.org> 20200926-1
* Release 20200926-1
	Version 20200926

* Mon Aug 10 2020 Lawrence R. Rogers <lrr@cert.org> 20200810-1
* Release 20200810-1
	Version 20200810

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-5
* Release 20181227-5
	Version 20181227-5: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
        Release 4 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227.

* Sun Dec 16 2018 Lawrence R. Rogers <lrr@cmu.edu> 20181216-1
* Release 20181216-1
	Version 20181216.

* Sat Nov 24 2018 Lawrence R. Rogers <lrr@cmu.edu> 20181124-1
* Release 20181124-1
	Version 20181124.

* Sun Nov 18 2018 Lawrence R. Rogers <lrr@cmu.edu> 20181118-1
* Release 20181118-1
	Version 20181118.

* Sun Feb 26 2017 Lawrence R. Rogers <lrr@cmu.edu> 20170226-1
* Release 20170226-1
	Version 20170226.

* Tue Jan 19 2016 Lawrence R. Rogers <lrr@cmu.edu> 20160119-1
* Release 20160119-1
	20160119
	* worked on fallback inflate implementation

	20160118
	* worked on fallback inflate implementation

	20160111
	* Changes to Python bindings

	20160109
	* fixes for rpmbuild

	20160108
	* 2016 update
	* worked on Python 3 support

	201512223
	* Changes to Python bindings
	* updated dependencies

	20150712
	* fixed memory leak

* Sun May 31 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150516-1
* Release 20150516-1
	20150516
	* fixed bug handling extent without filename
	* fixed bug in basename handling on non UTF-8 system string systems
	* worked on Python bindings

* Sun May 31 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150325-2
* Release 20150325-2
	Libuna GCC-5 Patch

* Wed Mar 25 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150325-1
* Release 20150325-1
	20150325
	* changes for deployment

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141221
	* worked on Python 3 support
	* worked on tests

	20141205
	* worked on test scripts

	20141129
	* code clean up

	20141119
	* small fixes for stand-alone usage of libfvalue

	20141114
	* code clean up

	20141106
	* worked on multi-threading support

	20141030
	* added tests/pyvmdk_test_open_close.py to make dist

	20141029
	* bug fix in Python-bindings

	20141027
	* changes for deployment

	20141022
	* changes for deployment

* Tue Oct 21 2014 Lawrence R. Rogers <lrr@cmu.edu> 20141021-1
* Release 20141021-1
	20141021
	* changes for deployment

	20140929
	* removed README.macosx
	* changes for project site move

	20140803
	* bug fix in Python-bindings

	20140729
	* updated dependencies

* Mon Apr 21 2014 Joachim Metz <joachim.metz@gmail.com> 20140421-1
- Auto-generated

